import { SvgIconProps } from "../../app/types/types";


export function ContactsSidebarIcon(props: SvgIconProps) {
  return (
    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M9.00016 2.6665C6.98698 2.6665 5.3335 4.31999 5.3335 6.33317V23.9998V24.9998V25.6665C5.3335 27.6797 6.98698 29.3332 9.00016 29.3332H26.3335C26.466 29.335 26.5976 29.3106 26.7205 29.2612C26.8435 29.2117 26.9554 29.1384 27.0498 29.0453C27.1442 28.9523 27.2191 28.8414 27.2703 28.7192C27.3214 28.5969 27.3477 28.4657 27.3477 28.3332C27.3477 28.2006 27.3214 28.0694 27.2703 27.9472C27.2191 27.8249 27.1442 27.7141 27.0498 27.621C26.9554 27.528 26.8435 27.4546 26.7205 27.4052C26.5976 27.3558 26.466 27.3313 26.3335 27.3332H9.00016C8.18232 27.3332 7.51832 26.7681 7.36735 25.9998H26.3335C26.5987 25.9998 26.853 25.8944 27.0406 25.7069C27.2281 25.5194 27.3335 25.265 27.3335 24.9998V6.33317C27.3335 4.31999 25.68 2.6665 23.6668 2.6665H9.00016ZM9.00016 4.6665H23.6668C24.599 4.6665 25.3335 5.40102 25.3335 6.33317V23.9998H7.3335V6.33317C7.3335 5.40102 8.06801 4.6665 9.00016 4.6665ZM16.3335 7.33317C14.6885 7.33317 13.3335 8.68817 13.3335 10.3332C13.3335 11.9782 14.6885 13.3332 16.3335 13.3332C17.9785 13.3332 19.3335 11.9782 19.3335 10.3332C19.3335 8.68817 17.9785 7.33317 16.3335 7.33317ZM16.3335 9.33317C16.8978 9.33317 17.3335 9.76884 17.3335 10.3332C17.3335 10.8975 16.8978 11.3332 16.3335 11.3332C15.7692 11.3332 15.3335 10.8975 15.3335 10.3332C15.3335 9.76884 15.7692 9.33317 16.3335 9.33317ZM13.0002 14.6665C12.0911 14.6665 11.3335 15.4241 11.3335 16.3332V17.9998C11.3335 19.1074 12.0864 19.9804 13.0015 20.5142C13.9165 21.048 15.0712 21.3332 16.3335 21.3332C17.5958 21.3332 18.7505 21.048 19.6655 20.5142C20.5806 19.9804 21.3335 19.1074 21.3335 17.9998V16.3332C21.3335 15.4241 20.5759 14.6665 19.6668 14.6665H13.0002ZM13.3335 16.6665H19.3335V17.9998C19.3335 18.181 19.1903 18.4756 18.6577 18.7863C18.1251 19.097 17.2806 19.3332 16.3335 19.3332C15.3864 19.3332 14.5419 19.097 14.0093 18.7863C13.4767 18.4756 13.3335 18.181 13.3335 17.9998V16.6665Z"
        fill="#B0BAD3"
      />
    </svg>
  )
}
